CFG80211_RX_ASSOC_RE(9)

NAME
cfg80211_rx_assoc_resp - notification of processed association response

SYNOPSIS

void cfg80211_rx_assoc_resp(struct net_device * dev, struct cfg80211_bss * bss, const u8 * buf, size_t len, int uapsd_queues);

ARGUMENTS

dev
    network device

bss
    the BSS that association was requested with, ownership of the pointer moves to cfg80211 in this call

buf
    authentication frame (header + body)

len
    length of the frame data

uapsd_queues
    bitmap of ACs configured to uapsd. -1 if n/a.

AFTER BEING ASKED TO ASSOCIATE VIA CFG80211_OPS

:assoc the driver must call either this function or cfg80211_auth_timeout.

This function may sleep. The caller must hold the corresponding wdev's mutex.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT